#include "multypo.h"

#include <QApplication>
#include <QDebug>

MultypoWindow *window;

class MultypoApplication : public QApplication
{
public:
	MultypoApplication(int &argc, char **argv)
		: QApplication(argc, argv) {}

	virtual bool x11EventFilter ( XEvent * event );
};

bool MultypoApplication::x11EventFilter ( XEvent * event )
{
	if (!window) return false;
	return window->handleX11Event(event);
}

int main(int argc, char *argv[])
{
	MultypoApplication a(argc, argv);
	window = new MultypoWindow();
	window->setAttribute(Qt::WA_DeleteOnClose);
	window->show();
	
	return a.exec();
}
