#ifndef MULTIKBD_H
#define MULTIKBD_H

#include <QWidget>
#include <QMap>
#include <QFile>

#include "player.h"

class MultypoWindow : public QWidget
{
	Q_OBJECT
	
public:
	explicit MultypoWindow(QWidget *parent = 0);
	~MultypoWindow();

	bool handleX11Event(XEvent *event);

private:
	void handleKeyPress(int device, QString string);
	void nextWord();
	void resetPlayerText();

private:
	bool xiInited;
	int xiOpcode;
	bool gameStarted;
	QLabel *mainLabel;
	QFile words;
	QMap<int, Player*> players;
	int typingPlayers; // how many are not ready yet
};

#endif // MULTIKBD_H
