#include "player.h"

#include <QLayout>
#include <QDebug>

static QString colorToString(QColor col)
{
	return QString("#%1%2%3").arg(col.red(), 2, 16, QChar('0'))
			.arg(col.green(), 2, 16, QChar('0'))
			.arg(col.blue(), 2, 16, QChar('0'));
}

Player::Player(QWidget* parent) : score(0) {
	theLabel = new QLabel (parent);
	parent->layout()->addWidget(theLabel);
	modifyable = true;
	qDebug() << "Player created";
}

bool Player::hasName() {
	return !name.isEmpty();
}

QString Player::getName() {
	return name;
}

QString Player::getCurrentLine() {
	return currentLine;
}

void Player::setWaiting(QString labeltext) {
	theLabel->setText(labeltext);
	modifyable = false;
}

void Player::resetText() {
	currentLine.clear();
	theLabel->setText(currentLine);
	modifyable = true;
}

bool Player::handleKey(QString str) {
	if (!modifyable)
		return false;
	bool newChar = false;
	if (str.length() == 1) {
		currentLine += str;
		newChar = true;
	} else if (!hasName() && str == "Return") {
		// set name
		name = currentLine;
		currentLine = "";
	} else if (str == "BackSpace") {
		currentLine.chop(1);
	}
	theLabel->setText(currentLine);
	return newChar;
}
